/* DAS EINGABEFELD */

                  SetPort((GrafPtr) firstWin);
               	  SetRect(&re,0,40,640,480);
				  FillCRect(&re,leers);

			              SetRect(&rec,210,85,430,390);
                                                 apple=GetPicture(159);
                                                 HUnlock((Handle) apple);
                                                 DrawPicture(apple,&rec);               
                                                 ReleaseResource((Handle) apple);  

                  SetPort((GrafPtr) anima);
			              SetRect(&rec,210,85,430,390);
                                                 apple=GetPicture(159);
                                                 HUnlock((Handle) apple);
                                                 DrawPicture(apple,&rec);               
                                                 ReleaseResource((Handle) apple);  

                  SetPort((GrafPtr) muriel);
			              SetRect(&rec,210,85,430,390);
                                                 apple=GetPicture(160);
                                                 HUnlock((Handle) apple);
                                                 DrawPicture(apple,&rec);               
                                                 ReleaseResource((Handle) apple);  


                 SetPort((GrafPtr) firstWin);
				 // EINGEGEBEN
				   /* eingabe 
              eingz=0;
             eing[6]="      ";
             eingc=' '; */
                 eingz=0;
                 for (i=0;i<=6;++i)
                  eingn[i]=' ';
                 
				 
				 aru=0; aruu=0;
				 bru=1; bruu=1;
				 do { 
			      GetMouse(&mousepix);  
                  x=mousepix.h;
                  y=mousepix.v;
				  
				  if ((x>210) && (x<425) && (y>85) && (y<390)) {
				   x=x-210;
				   y=y-85;
				  
				  
				  /* AUF WAS ZEIGT MAN GERADE ? */
				   if ((y>42) && (y<(42+6*42))) {
				    ru=x/43;
				    ruu=y/42;
				    bru=ru*43;
				    bruu=ruu*42;
				  if (bruu==6*42) {
				    if (bru==2*43) bru=1*43;
				    if (bru==4*43) bru=3*43; };
				
				/* DAS ORGINAL */
				 if ((aru!=bru) || (aruu!=bruu))
				   { SndPlay(sndc0,menuclick,TRUE);
                    
                  if (bruu!=6*42) {
				    SetRect(&rec,210+bru+5,85+bruu+1,210+bru+43+5,85+bruu+47+1);
				    SetRect(&re,210+bru+5,85+bruu+1,210+bru+43+5,85+bruu+47+1); } else
				    { 
				   if (bru==0) {
				    SetRect(&rec,210+bru+5,85+bruu+1,210+bru+43+5,85+bruu+47+1);
				    SetRect(&re,210+bru+5,85+bruu+1,210+bru+43+5,85+bruu+47+1);
				   };
				   if (bru==1*43)  {
				    SetRect(&rec,210+bru+5,85+bruu+1,210+bru+86+5,85+bruu+47+1);
				    SetRect(&re,210+bru+5,85+bruu+1,210+bru+86+5,85+bruu+47+1);};
				   if (bru==3*43)  { 
				    SetRect(&rec,210+bru+5,85+bruu+1,210+bru+86+5,85+bruu+47+1);
				    SetRect(&re,210+bru+5,85+bruu+1,210+bru+86+5,85+bruu+47+1);};

				 };
				    
					CopyBits(&((GrafPtr)  muriel)->portBits,&(((GrafPtr) firstWin)->portBits),&rec,&re,srcCopy, 0L);                      

				/* DAS VORIGE */
                  if (aruu!=6*42) {
				    SetRect(&rec,210+aru+5,85+aruu+1,210+aru+43+5,85+aruu+47+1);
				    SetRect(&re,210+aru+5,85+aruu+1,210+aru+43+5,85+aruu+47+1); } else
				    { 
				   if (aru==0) {
				    SetRect(&rec,210+aru+5,85+aruu+1,210+aru+43+5,85+aruu+47+1);
				    SetRect(&re,210+aru+5,85+aruu+1,210+aru+43+5,85+aruu+47+1);
				   };
				   if (aru==1*43)  {
				    SetRect(&rec,210+aru+5,85+aruu+1,210+aru+86+5,85+aruu+47+1);
				    SetRect(&re,210+aru+5,85+aruu+1,210+aru+86+5,85+aruu+47+1);};
				   if (aru==3*43)  { 
				    SetRect(&rec,210+aru+5,85+aruu+1,210+aru+86+5,85+aruu+47+1);
				    SetRect(&re,210+aru+5,85+aruu+1,210+aru+86+5,85+aruu+47+1);};

				 };
				    
					CopyBits(&((GrafPtr)  anima)->portBits,&(((GrafPtr) firstWin)->portBits),&rec,&re,srcCopy, 0L);                      

				    aru=bru;
				    aruu=bruu;
				   }; 
				   
            /* EINGEBUNG DES NAMEN */
		    /* eingabe 
            eingz=0;
            eing[6]="      ";
            eingc=' '; */

				  if (Button()==true)
				  { i=0; ru=0;
				     if ((bru==3*43) && (bruu==6*42)) { i=3; ru=1; };
				    if (i==0) { 
				    do ; while(Button()==true); };
				     i=0; 
				     if (eingz<7)				     if (bruu==1*42) { eingc='A'+bru/43; if (eingz<7) ++eingz; i=1; };
				     if (eingz<7)				     if (bruu==2*42) { eingc='F'+bru/43; if (eingz<7) ++eingz; i=1; };
				     if (eingz<7)				     if (bruu==3*42) { eingc='K'+bru/43; if (eingz<7) ++eingz; i=1; };
				     if (eingz<7)				     if (bruu==4*42) { eingc='P'+bru/43; if (eingz<7) ++eingz; i=1; };
				     if (eingz<7)				     if (bruu==5*42) { eingc='U'+bru/43; if (eingz<7) ++eingz; i=1; };
				     if (eingz<7)
				     if (bruu==6*42) 
				      if (bru==0)     { eingc='Z';       ++eingz; i=1; };
				     if (bruu==6*42) 
				      if (bru==1*43)  
				      if (eingz>0)    { eingc=' ';        --eingz; 
                                        SetPort((GrafPtr) firstWin);
                                        SetRect(&ref,425-37-32+i*32-eingz*32,90,425-37-32+i*32+32-eingz*32,90+32);
				      					FillCRect(&ref,leers);
				      				    i=2; 
				      				};
				     
				     /* ETWAS HAT SICH VERAENDERT */
				     if ((i==1) || (i==2)) {
				        
                  SetPort((GrafPtr) firstWin);

				/* DAS VORIGE */
                  if (bruu!=6*42) {
				    SetRect(&rec,210+bru+5,85+bruu+1,210+bru+43+5,85+bruu+47+1);
				    SetRect(&re,210+bru+5,85+bruu+1,210+bru+43+5,85+bruu+47+1); } else
				    { 
				   if (bru==0) {
				    SetRect(&rec,210+bru+5,85+bruu+1,210+bru+43+5,85+bruu+47+1);
				    SetRect(&re,210+bru+5,85+aruu+1,210+bru+43+5,85+bruu+47+1);
				   };
				   if (bru==1*43)  {
				    SetRect(&rec,210+bru+5,85+bruu+1,210+bru+86+5,85+bruu+47+1);
				    SetRect(&re,210+bru+5,85+bruu+1,210+bru+86+5,85+bruu+47+1);};
				   if (bru==3*43)  { 
				    SetRect(&rec,210+bru+5,85+bruu+1,210+bru+86+5,85+bruu+47+1);
				    SetRect(&re,210+bru+5,85+bruu+1,210+bru+86+5,85+bruu+47+1);};

				 };
                   
					CopyBits(&((GrafPtr)  anima)->portBits,&(((GrafPtr) firstWin)->portBits),&rec,&re,srcCopy, 0L);                      
				
				aru=1*43;
				aruu=1*42;


						if (i==1) eingn[eingz]=eingc;


				        for (i=0;i<=eingz;++i)
				        { /* DER NAME */                                                    
                          SetRect(&ref,425-37-32+i*32-eingz*32,90,425-37-32+i*32+32-eingz*32,90+32);
                          ic0=GetCIcon(eingn[i]-(int) ('A')+1061);    
                          if (ic0!=0L) {
                          PlotCIcon(&ref,ic0); 
                          DisposeCIcon(ic0); }; };
				    				  
				          if (ru==0) {     SndPlay(sndc0,click,TRUE);            
				   			   do ;  while (SndChannelBusy(sndc0)==TRUE);};


				   
				    };   
				  };
				   
				  } else {
				  };
				  
				  }; 
 
 
   if (musicf==1)
    if (quicktimei==1) {
		HY_ServiceTasks();
		ProcessQuickTimeMovie(); };
				 
				 
				 
				 i=0;
				 if (
				  (bru==3*43) && (bruu==6*42) && (Button()==true)) i=1;
				 } while(i==0);
				 SndPlay(sndc0,click,TRUE);            
